#if !defined(SNAKE_H)
#define SNAKE_H

#include <vector>
using namespace std;

#include "gui.h"
#include "room.h"
#include "position.h"

/*
 * This class represents a snake on the screen
 */

class Snake {
public:
	
    vector<Position> positions_;
    int x_;
    int y_;
    string direction_ = "RIGHT";
    
    /*
    int x = centergui.screenWidth()/2;
    int y = centergui.screenHeight()/2;
    */
	
    /*
     * Initialize the snake to the center of the screen
     */
    Snake(int x , int y );
    
    //Make the snake move!
    void move();
    
    void changeDirection(string direction);

    /*
     * Return the positions occupied by the snake
     */
    vector<Position> getPositions();

    /*
     * Draw the snake on the screen using the GUI
     */
    void draw(Gui& gui);
    
    void grow();
};

#endif
